
Audacious - Bug #1200

duration display for HLS livestreams, example: BBC Radio

November 04, 2022 22:38 - Se Li

Status: Rejected Start date: November 04, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%
Target version: 4.3   
Description

Hi,

I find it very valuable to be able to listen to BBC Radio streams without having to start a web browser. For a while now I have been

using http://stream.live.vc.bbcmedia.co.uk/bbc_radio_fourfm as a stream address for BBC Radio 4. This will stop in mid 2023, and a

web search leads to https://www.bbc.co.uk/sounds/help/questions/recent-changes-to-bbc-sounds/shoutcast-closure where we can

learn that this is Shoutcast technology and the BBC are going to abandon that in favour of HLS and DASH.

Lists of BBC stream URLs are out there on the web and I have found 

http://a.files.bbci.co.uk/media/live/manifesto/audio/simulcast/hls/nonuk/sbr_low/ak/bbc_radio_fourfm.m3u8 as one such URL. When

adding it to the Audacious playlist and starting it, I get no metadata (the Shoutcast stream tells me the station name) and a duration

of 419:57:08 is displayed. When I start playing, the timer starts at 99:59 and not 0:00. Could this be improved?

I am on Arch Linux using the AUR package audacious-gtk3, and my observations were made with the Winamp Classic interface. I

have tried versions 4.1 and 4.2.

History

#1 - February 14, 2023 00:23 - Thomas Lange

- Target version set to 4.3

- Status changed from New to Rejected

Closing as duplicate of #1179, the 4.3 release will contain the fix.
